linux: 2.6.38-15.59 -proposed tracker

Bug #987281 reported by Luis Henriques on 2012-04-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-15.59 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 23. April 2012 13:06 UTC
kernel-stable-Certification-testing-end:Monday, 23. April 2012 13:16 UTC
kernel-stable-Prepare-package-end:Saturday, 28. April 2012 00:18 UTC
kernel-stable-Promote-to-proposed-start:Saturday, 28. April 2012 00:18 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 02. May 2012 12:15 UTC
kernel-stable-Verification-testing-start:Wednesday, 02. May 2012 13:15 UTC
kernel-stable-Security-signoff-start:Saturday, 05. May 2012 02:45 UTC
kernel-stable-Verification-testing-end:Saturday, 05. May 2012 02:45 UTC
kernel-stable-Regression-testing-start:Saturday, 05. May 2012 02:45 UTC
kernel-stable-Regression-testing-end:Saturday, 05. May 2012 23:45 UTC
kernel-stable-Promote-to-updates-start:Monday, 07. May 2012 16:45 UTC
kernel-stable-Security-signoff-end:Monday, 07. May 2012 16:45 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 08. May 2012 00:45 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 08. May 2012 00:45 UTC

CVE References

Luis Henriques (henrix) on 2012-04-23
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-04-23
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 990206

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 990208

description: updated
Brad Figg (brad-figg) on 2012-05-02
description: updated
Download full text (24.3 KiB)

The following packages ended up in the wrong component in the -proposed pocket:

block-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
block-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
block-modules-2.6.38-15-generic-pae-di 2.6.38-15.59 - is in universe instead of main
block-modules-2.6.38-15-omap-di 2.6.38-15.59 - is in universe instead of main
block-modules-2.6.38-15-powerpc-di 2.6.38-15.59 - is in universe instead of main
block-modules-2.6.38-15-powerpc64-smp-di 2.6.38-15.59 - is in universe instead of main
block-modules-2.6.38-15-versatile-di 2.6.38-15.59 - is in universe instead of main
block-modules-2.6.38-15-virtual-di 2.6.38-15.59 - is in universe instead of main
block-modules-2.6.38-15-virtual-di 2.6.38-15.59 - is in universe instead of main
crypto-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
crypto-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
crypto-modules-2.6.38-15-generic-pae-di 2.6.38-15.59 - is in universe instead of main
crypto-modules-2.6.38-15-omap-di 2.6.38-15.59 - is in universe instead of main
crypto-modules-2.6.38-15-powerpc-di 2.6.38-15.59 - is in universe instead of main
crypto-modules-2.6.38-15-powerpc64-smp-di 2.6.38-15.59 - is in universe instead of main
crypto-modules-2.6.38-15-virtual-di 2.6.38-15.59 - is in universe instead of main
crypto-modules-2.6.38-15-virtual-di 2.6.38-15.59 - is in universe instead of main
fat-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
fat-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
fat-modules-2.6.38-15-generic-pae-di 2.6.38-15.59 - is in universe instead of main
fat-modules-2.6.38-15-omap-di 2.6.38-15.59 - is in universe instead of main
fat-modules-2.6.38-15-powerpc-di 2.6.38-15.59 - is in universe instead of main
fat-modules-2.6.38-15-powerpc64-smp-di 2.6.38-15.59 - is in universe instead of main
fat-modules-2.6.38-15-versatile-di 2.6.38-15.59 - is in universe instead of main
fat-modules-2.6.38-15-virtual-di 2.6.38-15.59 - is in universe instead of main
fat-modules-2.6.38-15-virtual-di 2.6.38-15.59 - is in universe instead of main
fb-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
fb-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
fb-modules-2.6.38-15-generic-pae-di 2.6.38-15.59 - is in universe instead of main
fb-modules-2.6.38-15-virtual-di 2.6.38-15.59 - is in universe instead of main
fb-modules-2.6.38-15-virtual-di 2.6.38-15.59 - is in universe instead of main
firewire-core-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
firewire-core-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in universe instead of main
firewire-core-modules-2.6.38-15-generic-pae-di 2.6.38-15.59 - is in universe instead of main
firewire-core-modules-2.6.38-15-powerpc-di 2.6.38-15.59 - is in universe instead of main
firewire-core-modules-2.6.38-15-powerpc64-smp-di 2.6.38-15.59 - is in universe instead of main
firewire-core-modules-2.6.38-15-versatile-di 2.6.38-15.59 - is in universe instead of main
floppy-modules-2.6.38-15-generic-di 2.6.38-15.59 - is in u...

description: updated
Martin Pitt (pitti) wrote :

Promoted to main.

Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-05-02
description: updated
Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -proposed pocket:

linux-backports-modules-cw-2.6.39-2.6.38-15-generic 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-cw-2.6.39-2.6.38-15-generic 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-cw-2.6.39-2.6.38-15-generic-pae 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-cw-2.6.39-2.6.38-15-server 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-cw-3.0.0-2.6.38-15-generic 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-cw-3.0.0-2.6.38-15-generic 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-cw-3.0.0-2.6.38-15-generic-pae 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-cw-3.0.0-2.6.38-15-server 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-net-2.6.38-15-generic 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-net-2.6.38-15-generic 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-net-2.6.38-15-generic-pae 2.6.38-15.11 - is in universe instead of main
linux-backports-modules-net-2.6.38-15-server 2.6.38-15.11 - is in universe instead of main
linux-headers-lbm-2.6.38-15-generic 2.6.38-15.11 - is in universe instead of main
linux-headers-lbm-2.6.38-15-generic 2.6.38-15.11 - is in universe instead of main
linux-headers-lbm-2.6.38-15-generic-pae 2.6.38-15.11 - is in universe instead of main
linux-headers-lbm-2.6.38-15-server 2.6.38-15.11 - is in universe instead of main
updates-modules-2.6.38-15-generic-di 2.6.38-15.11 - is in universe instead of main
updates-modules-2.6.38-15-generic-di 2.6.38-15.11 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Martin Pitt (pitti) wrote :

Moved lbm to main.

Brad Figg (brad-figg) on 2012-05-02
description: updated
Brad Figg (brad-figg) on 2012-05-02
description: updated
Herton R. Krzesinski (herton) wrote :

All bugs verified on sru-report, verification done.

Brad Figg (brad-figg) on 2012-05-05
description: updated
Brad Figg (brad-figg) on 2012-05-05
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-05-07
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-15.59

---------------
linux (2.6.38-15.59) natty-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #987281

  [ Brad Figg ]

  * SAUCE (no-up) Provide a param for allowing the BIOS to handle changing
    the brightness on AC/battery status changes.
    - LP: #949311

  [ Tim Gardner ]

  * SAUCE: ubuntu drivers: use UMH_WAIT_PROC consistently
    - LP: #963685
  * SAUCE: disable_nx should not be in __cpuinitdata section for X86_32
    - LP: #968233
  * SAUCE: (no-up) remove __initdata from vesafb_fix
    - LP: #969309

  [ Upstream Kernel Changes ]

  * usermodehelper: use UMH_WAIT_PROC consistently
    - LP: #963685
  * usermodehelper: introduce umh_complete(sub_info)
    - LP: #963685
  * usermodehelper: implement UMH_KILLABLE
    - LP: #963685
  * usermodehelper: kill umh_wait, renumber UMH_* constants
    - LP: #963685
  * usermodehelper: ____call_usermodehelper() doesn't need do_exit()
    - LP: #963685
  * kmod: introduce call_modprobe() helper
    - LP: #963685
  * kmod: make __request_module() killable
    - LP: #963685
  * drm/i915: Fixes distorted external screen image on HP 2730p
    - LP: #796030
  * ext4: fix undefined behavior in ext4_fill_flex_info()
    - LP: #984757
    - CVE-2012-2100
  * jbd2: clear BH_Delay & BH_Unwritten in journal_unmap_buffer
    - LP: #929781
    - CVE-2011-4086
  * cifs: fix dentry refcount leak when opening a FIFO on lookup
    - LP: #947997
    - CVE-2012-1090
 -- Luis Henriques <email address hidden> Mon, 23 Apr 2012 14:02:53 +0100

Changed in linux (Ubuntu Natty):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers